Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007418TestLinkRequirements Import - TL XML formatpublic2016-01-20 09:362016-09-08 15:13
Reporteratisne 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformGFASOSCentOS/RedHatOS Version5
Product Version1.9.14 (2015 Q3) 
Fixed in Version1.9.15 (2015 Q4) 
Summary0007418: Import requirement with a too long doc-id results in a data inconsistency
DescriptionThe import of a requirement with a doc-id exceeded the max size results to an error (that's ok) and a data inconsistency (should be avoid).
A tl_node_hierarchy record is created whereas the associated tl_requirements record is not.
The node hierarchy cannot be destroy without a direct access to the database.
Steps To Reproduce1- Import a requirement with a doc-id exceeded 64 characters (you can see a sample in the attached file)
-> The import ends with a low level error. In the requirement navigator, you can see a requirement without doc-id (beginning with a colon ':'). Clicking on the requirement results in the message 'Requirement does not exist anymore.'.
TagsNo tags attached.
Database (MySQL,Postgres,etc)Postgresql
Browser
PHP VersionPHP 5.4.45
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filesxml file icon all-req.xml [^] (832 bytes) 2016-01-20 09:36

- Relationships
child of 0007262closedfman Availables hot-fixes for 1.9.14 & How To get full fixed package from GitHub 

-  Notes
(0024601)
fman (administrator)
2016-03-14 21:46

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/7f8d853f976b4bf1cc3d756b6f18b279536aa8e3 [^]
(0025275)
fman (administrator)
2016-09-08 15:13

1.9.15 Released - 2016-09-08

- Issue History
Date Modified Username Field Change
2016-01-20 09:36 atisne New Issue
2016-01-20 09:36 atisne File Added: all-req.xml
2016-03-14 21:46 fman QA Team - Task Workflow Status => READY FOR TESTING
2016-03-14 21:46 fman Note Added: 0024601
2016-03-14 21:46 fman Status new => resolved
2016-03-14 21:46 fman Fixed in Version => 1.9.15 (2015 Q4)
2016-03-14 21:46 fman Resolution open => fixed
2016-03-14 21:46 fman Assigned To => fman
2016-03-14 21:46 fman Relationship added child of 0007262
2016-09-08 15:13 fman Note Added: 0025275
2016-09-08 15:13 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker